Post by iamandy » Thu Nov 22, 2012 10:03 pm

Hello there,

I've recently just started getting the following PHP errors. Not sure what has caused them and couldn't figure it out.

Code: Select all

Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26Notice: Undefined index: bottom in /var/www/apshop/catalog/controller/common/footer.php on line 26
Anyone got any ideas?

New member

Posts

Joined
Wed Jun 22, 2011 11:19 pm

Post by Tcalp » Thu Nov 22, 2012 11:03 pm

This isn't a standard part of OpenCart, I would think some vqMod or extension is adding it, or that you have altered the footer.php controller in some way. Get rid of the failing mod / replace the footer.php with original code / etc..

Increase Page Speed (#1 rated commercial extension on OpenCart Marketplace)
15in1 Essential Extensions Value Pack Premium Customer Testimonials Reward Points Extended Admin Security Lockdown Suite

Image
irc.freenode.net #opencart


User avatar
Active Member

Posts

Joined
Wed Jul 06, 2011 1:49 pm

Post by pprmkr » Thu Nov 22, 2012 11:05 pm

Upgraded?
Version?
Link?

Newer version check:

Code: Select all

		foreach ($this->model_catalog_information->getInformations() as $result) {
			if ($result['bottom']) {
Probably no information page(s) set for Bottom.
Edit 1 or more information page, tab Data, Select Bottom:, Save

User avatar
Active Member

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by Tcalp » Thu Nov 22, 2012 11:07 pm

Apparently I stand corrected , happened to be in the source structure of 1.5.2.1 when referencing ;)

Increase Page Speed (#1 rated commercial extension on OpenCart Marketplace)
15in1 Essential Extensions Value Pack Premium Customer Testimonials Reward Points Extended Admin Security Lockdown Suite

Image
irc.freenode.net #opencart


User avatar
Active Member

Posts

Joined
Wed Jul 06, 2011 1:49 pm

Post by iamandy » Fri Nov 23, 2012 1:19 am

Hello,

I'm running the latest version. This is from fresh install and imported database from previous version.

No mods are installed, and the only thing I've edited is the templates for the modules.. which were more heavily edited in the CSS.

I don't have a link because this is running locally.

New member

Posts

Joined
Wed Jun 22, 2011 11:19 pm

Post by pprmkr » Fri Nov 23, 2012 4:41 am

When you imported the database witout the new fields in the tables, you should run upgrade.

localhost/ocfolder/install/index.php

You should see the button Upgrade, because config.php is already written.
After upgrade the tables have the correct fields and the errors disappear.

User avatar
Active Member

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by iamandy » Fri Nov 23, 2012 6:02 pm

pprmkr wrote:When you imported the database witout the new fields in the tables, you should run upgrade.

localhost/ocfolder/install/index.php

You should see the button Upgrade, because config.php is already written.
After upgrade the tables have the correct fields and the errors disappear.
I'll try this now, Thanks!

New member

Posts

Joined
Wed Jun 22, 2011 11:19 pm
Who is online

Users browsing this forum: No registered users and 43 guests